User Subscription Details
GET/partner/user/user_contract_info/:user_code
Retrieves the subscription plan and usage information for the specified user.
Request
Responses
- 200
- 400
- 401
- 404
- 500
200User subscription plan retrieved successfully
Response 200
{
"message": {
"key": "RES000000",
"value": "success"
},
"data": {
"user_contract_info": [
{
"plan_name": "Premium Plan",
"domain_limit": 10,
"format_domain_limit": "unlimited",
"max_month_bandwidth": 50,
"format_max_month_bandwidth": "50Mbps",
"max_month_traffic": 100,
"format_max_month_traffic": "100GB",
"count_user_domain": 5,
"total_traffic": 1000000000,
"format_total_traffic": "1.00GB"
}
]
}
}
Schema Details
| Field | Type | Description |
|---|---|---|
message | object | |
data | object |
400Bad Request
Response 400
{
"message": {
"key": "RES000002",
"value": "Bad Request"
}
}
Schema Details
| Field | Type | Description |
|---|---|---|
message | object |
401Unauthorized
Response 401
{
"message": {
"key": "RES000033",
"value": "Unauthorized"
}
}
Schema Details
| Field | Type | Description |
|---|---|---|
message | object |
404Data not found
Response 404
{
"message": {
"key": "RES000018",
"value": "Data not found"
}
}
Schema Details
| Field | Type | Description |
|---|---|---|
message | object |
500Internal server error
Response 500
{
"message": {
"key": "RES000029",
"value": "An internal server error has occurred."
}
}
Schema Details
| Field | Type | Description |
|---|---|---|
message | object |